---
title: Klassifikation, Grundlagen, Substitutionschiffre
date: 2018-10-11
---

# Klassifikation der "Kryptographie"

![Klassifikation](./20181011-classification.png)

## Anwendungen

* WhatsApp
* Auto
* Mensa Karte
* Medizinische Geräte
* Kreditkarten
* mobile Kommunikation
* IoT
* BitCoin
* Flugzeuge
* E-Mail
* (Schadsoftware)

# Grundlagen symmetrischer Chiffren

Einfache Ausgangssituation:

![Ausgangssituation](./20181011_situation.png)

* $e \widehat{=}$ Verschlüsselung oder Chiffrierung
* $d \widehat{=}$ Entschlüsselung oder Dechiffrierung
* $x \widehat{=}$ Klartext
* $y \widehat{=}$ Chiffrat
* $k \widehat{=}$ Schlüssel
* $\vert k \vert \widehat{=}$ Schlüsselraum

## Kerckhoffs' Prinzip

> Ein Kryptosystem muss auch dann sicher sein, wenn der Angreifer alle Deteils kennt, bis auf den Schlüssel.

Bei Verletzung der Prinzips: `Security by Obscurity`.

# Substitutionschiffre

* operiert auf Buchstaben
* Prinzip:
	$$
	A \to l \\
	B \to d \\
	C \to w \\
	...
	$$

**Beispiel**: $ABBA \to^e lddl$

## Angriffe

1. Häufigkeitsanalyse (Übung)
2. Vollständige Schlüsselsuche (Bruteforce): $\vert k \vert = 26! \approx 2^{88}$ Möglichkeiten
